package com.community.huiju.dao;


import com.community.huiju.model.TpRentalHouse;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
@Mapper
public interface TpRentalHouseMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TpRentalHouse record);

    int insertSelective(TpRentalHouse record);

    TpRentalHouse selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TpRentalHouse record);

    int updateByPrimaryKeyWithBLOBs(TpRentalHouse record);

    int updateByPrimaryKey(TpRentalHouse record);

    /**
     *  出租公寓查询
     * @param houseName
     * @param rentalType
     * @param houseType
     * @param rentalPrice
     * @param priceFluctuate
     * @return
     */
    List<TpRentalHouse> getRentalHouse(String houseName, Integer rentalType, Integer houseType, Integer rentalPrice, Integer priceFluctuate,Integer communityId);
}